Loading...
Searching...
No Matches
volk_64f_x2_add_64f.h File Reference
`#include <inttypes.h>`
`#include <emmintrin.h>`
`#include <immintrin.h>`

Go to the source code of this file.

## Functions

static void | volk_64f_x2_add_64f_generic (double *cVector, const double *aVector, const double *bVector, unsigned int num_points)
static void | volk_64f_x2_add_64f_u_sse2 (double *cVector, const double *aVector, const double *bVector, unsigned int num_points)
static void | volk_64f_x2_add_64f_u_avx (double *cVector, const double *aVector, const double *bVector, unsigned int num_points)
static void | volk_64f_x2_add_64f_a_sse2 (double *cVector, const double *aVector, const double *bVector, unsigned int num_points)
static void | volk_64f_x2_add_64f_a_avx (double *cVector, const double *aVector, const double *bVector, unsigned int num_points)

## Function Documentation

## volk_64f_x2_add_64f_a_avx()

void volk_64f_x2_add_64f_a_avx | ( | double * | cVector,
|  | const double * | aVector,
|  | const double * | bVector,
|  | unsigned int | num_points )

inline static

## volk_64f_x2_add_64f_a_sse2()

void volk_64f_x2_add_64f_a_sse2 | ( | double * | cVector,
|  | const double * | aVector,
|  | const double * | bVector,
|  | unsigned int | num_points )

inline static

## volk_64f_x2_add_64f_generic()

void volk_64f_x2_add_64f_generic | ( | double * | cVector,
|  | const double * | aVector,
|  | const double * | bVector,
|  | unsigned int | num_points )

inline static

## volk_64f_x2_add_64f_u_avx()

void volk_64f_x2_add_64f_u_avx | ( | double * | cVector,
|  | const double * | aVector,
|  | const double * | bVector,
|  | unsigned int | num_points )

inline static

## volk_64f_x2_add_64f_u_sse2()

void volk_64f_x2_add_64f_u_sse2 | ( | double * | cVector,
|  | const double * | aVector,
|  | const double * | bVector,
|  | unsigned int | num_points )

inline static